API ReferenceapibookingPOST /v1/providers/{id}/slots

POST /v1/providers/\{id\}/slots

Service: booking · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "brand_id": {
      "type": "string"
    },
    "start_time": {
      "type": "string",
      "format": "date-time"
    },
    "end_time": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "brand_id",
    "start_time",
    "end_time"
  ]
}

Responses

201 Slot created

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "provider_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "start_time": {
      "type": "string"
    },
    "end_time": {
      "type": "string"
    },
    "booked": {
      "type": "boolean"
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "provider_id",
    "brand_id",
    "start_time",
    "end_time",
    "booked",
    "created_at"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Provider not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://booking.platform.loop.health/v1/providers/{id}/slots \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'